import { SpwTheme } from "../../themes/themes";
export declare class SpwThemeProvider {
    /** Définit le thème employé, conditionne les tokens associés au thème */
    theme: SpwTheme;
    el: HTMLSpwThemeProviderElement;
    componentWillLoad(): void;
    componentWillUpdate(): void;
    private applyTheme;
    render(): any;
}
